| Home | Libraries | People | FAQ | More

##### websocket::stream_base::timeout::handshake_timeout

Time limit on handshake, accept, and close operations:

###### Synopsis

    duration handshake_timeout;

###### Description

This value whether or not there is a time limit, and the duration of that time limit, for asynchronous handshake, accept, and close operations. If this is equal to the value `websocket::stream_base::none` then there will be no time limit. Otherwise, if any of the applicable operations takes longer than this amount of time, the operation will be canceled and a timeout error delivered to the completion handler.